Page MenuHomePhabricator

[clang][aarch64] Drop experimental from __ARM_FEATURE_SVE_BITS macro
ClosedPublic

Authored by c-rhodes on Aug 27 2020, 8:44 AM.

Details

Summary

The __ARM_FEATURE_SVE_BITS feature macro is specified in the Arm C
Language Extensions (ACLE) for SVE [1] (version 00bet5). From the spec,
where __ARM_FEATURE_SVE_BITS==N:

When N is nonzero, indicates that the implementation is generating
code for an N-bit SVE target and that the arm_sve_vector_bits(N)
attribute is available.

This was defined in D83550 as __ARM_FEATURE_SVE_BITS_EXPERIMENTAL and
enabled under the -msve-vector-bits flag to simplify initial tests.
This patch drops _EXPERIMENTAL now there is support for the feature.

[1] https://developer.arm.com/documentation/100987/latest

Diff Detail

Event Timeline

c-rhodes created this revision.Aug 27 2020, 8:44 AM
c-rhodes requested review of this revision.Aug 27 2020, 8:44 AM
c-rhodes edited the summary of this revision. (Show Details)
david-arm accepted this revision.Sep 2 2020, 12:50 AM

LGTM

clang/lib/Basic/Targets/AArch64.cpp
380–381

nit: Perhaps just reformat the code before submitting?

This revision is now accepted and ready to land.Sep 2 2020, 12:50 AM
This revision was landed with ongoing or failed builds.Sep 3 2020, 2:40 AM
This revision was automatically updated to reflect the committed changes.
c-rhodes marked an inline comment as done.Sep 3 2020, 2:41 AM